<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!-- 
IGAC proyecto SNC
@author:        juan.agudelo
@version        2.0
@cu             CU-CO-V-03


    Pantalla que permite mostrar la información de cancelación e inscripcion 
    comparando un predio inicial contra un predio final despues de la proyección
-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui"
             xmlns:fn="http://java.sun.com/jsp/jstl/functions"
             width="100%">

    <p:ajaxStatus onstart="statusDialog.show();"
                  onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />
    <p:focus />
    <p:messages id="msgsATN" showDetail="false" globalOnly="false" />


    <h:panelGrid width="100%">
        <h:panelGrid columns="2" cellspacing="13">
            <h:outputLabel value="Nota:" styleClass="noteLabelStyle" />
            <h:outputText
                value="Debe seleccionar un predio para ver la información del mismo."
                styleClass="noteTextStyle" />
        </h:panelGrid>
        <p:outputPanel layout="block" style="text-align: left">
            <h:graphicImage id="helpImg" url="/images/question_blue.png" />
            <p:tooltip for="helpImg" showEffect="puff"
                       styleClass="noteTextStyle" style="text-align: center">
                Para seleccionar un predio haga click sobre el número predial en la lista, <br />
                y para deseleccionar el mismo presione la tecla ctrl y haga click en el número predial seleccionado.
            </p:tooltip>
        </p:outputPanel>
    </h:panelGrid>

    <h:panelGrid columns="2" cellspacing="13" width="100%">

        <p:dataTable id="prediosIniciales" widgetVar="prediosInicialesWV"
                     value="#{infoCancelacionInscripcion.prediosIniciales}"
                     var="currentPredioI" paginator="true" rows="10"
                     paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                     rowsPerPageTemplate="10,20,30" paginatorPosition="bottom"
                     selection="#{infoCancelacionInscripcion.predioInicialSeleccionado}"
                     selectionMode="single" rowKey="#{currentPredioI.id}"
                     emptyMessage="No se encontraron predios iniciales">

            <p:ajax event="rowSelect"
                    listener="#{infoCancelacionInscripcion.predioInicialSeleccionar}"
                    update=":verProyeccionForm:verProyeccionTabView:msgsATN, 
                    :verProyeccionForm:verProyeccionTabView:acordion:tablaDatosIdubicacionDelPredioId
                    :verProyeccionForm:verProyeccionTabView:acordion:tablaDatosIdpropietariosPoseedoresId, 
                    :verProyeccionForm:verProyeccionTabView:acordion:tablaDatosIdfichaMatrizIdPanel,
                    :verProyeccionForm:verProyeccionTabView:acordion:tablaDatosIddetalleAvaluoId,
                    :verProyeccionForm:verProyeccionTabView:acordion:tablaDatosConstruccionesAvaluoId,
                    :verProyeccionForm:verProyeccionTabView:acordion:tablaDatosIdcondicionPropiedadId,
                    :verProyeccionForm:verProyeccionTabView:acordion:panelBotonesUP"></p:ajax>

            <p:ajax event="rowUnselect"
                    listener="#{infoCancelacionInscripcion.predioInicialdeSeleccionado}"
                    update=":verProyeccionForm:verProyeccionTabView:msgsATN, 
                    :verProyeccionForm:verProyeccionTabView:acordion:tablaDatosIdubicacionDelPredioId
                    :verProyeccionForm:verProyeccionTabView:acordion:tablaDatosIdpropietariosPoseedoresId, 
                    :verProyeccionForm:verProyeccionTabView:acordion:tablaDatosIdfichaMatrizIdPanel,
                    :verProyeccionForm:verProyeccionTabView:acordion:tablaDatosIddetalleAvaluoId,
                    :verProyeccionForm:verProyeccionTabView:acordion:tablaDatosConstruccionesAvaluoId,
                    :verProyeccionForm:verProyeccionTabView:acordion:tablaDatosIdcondicionPropiedadId,
                    :verProyeccionForm:verProyeccionTabView:acordion:panelBotonesUP"></p:ajax>>

            <f:facet name="header">
                Predios iniciales
            </f:facet>

            <p:column>
                <p:graphicImage
                    value="#{infoCancelacionInscripcion.imagenDatoInicial}" height="13"
                    width="13" />
                <h:outputText
                    value="#{currentPredioI.formattedNumeroPredialCompleto}"
                    styleClass="datoInicialStyle" />
            </p:column>

        </p:dataTable>

        <p:dataTable id="prediosFinales"
                     widgetVar="prediosFinalesWV"
                     value="#{infoCancelacionInscripcion.prediosFinales}"
                     var="currentPredioF" paginator="true" rows="10"
                     paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                     rowsPerPageTemplate="10,20,30" paginatorPosition="bottom"
                     selection="#{infoCancelacionInscripcion.predioFinalSeleccionado}"
                     selectionMode="single" rowKey="#{currentPredioF.id}"
                     emptyMessage="No se encontraron predios finales">

            <p:ajax event="rowSelect"
                    listener="#{infoCancelacionInscripcion.predioFinalSeleccionar}"
                    update=":verProyeccionForm:verProyeccionTabView:msgsATN, 
                    :verProyeccionForm:verProyeccionTabView:acordion:tablaDatosIdubicacionDelPredioId
                    :verProyeccionForm:verProyeccionTabView:acordion:tablaDatosIdpropietariosPoseedoresId, 
                    :verProyeccionForm:verProyeccionTabView:acordion:tablaDatosIdfichaMatrizIdPanel,
                    :verProyeccionForm:verProyeccionTabView:acordion:tablaDatosIddetalleAvaluoId,
                    :verProyeccionForm:verProyeccionTabView:acordion:tablaDatosConstruccionesAvaluoId,
                    :verProyeccionForm:verProyeccionTabView:acordion:tablaDatosIdcondicionPropiedadId,
                    :verProyeccionForm:verProyeccionTabView:acordion:tablaDatosIdinscripcionesDecretosId,
                    :verProyeccionForm:verProyeccionTabView:acordion:panelBotonesUP" />

            <p:ajax event="rowUnselect"
                    listener="#{infoCancelacionInscripcion.predioFinaldeSeleccionado}"
                    update=":verProyeccionForm:verProyeccionTabView:msgsATN, 
                    :verProyeccionForm:verProyeccionTabView:acordion:tablaDatosIdubicacionDelPredioId
                    :verProyeccionForm:verProyeccionTabView:acordion:tablaDatosIdpropietariosPoseedoresId, 
                    :verProyeccionForm:verProyeccionTabView:acordion:tablaDatosIdfichaMatrizIdPanel,
                    :verProyeccionForm:verProyeccionTabView:acordion:tablaDatosIddetalleAvaluoId,
                    :verProyeccionForm:verProyeccionTabView:acordion:tablaDatosConstruccionesAvaluoId,
                    :verProyeccionForm:verProyeccionTabView:acordion:tablaDatosIdcondicionPropiedadId,
                    :verProyeccionForm:verProyeccionTabView:acordion:tablaDatosIdinscripcionesDecretosId,
                    :verProyeccionForm:verProyeccionTabView:acordion:panelBotonesUP" />

            <f:facet name="header">
                Predios proyectados
            </f:facet>

            <p:column>
                <p:graphicImage
                    value="#{infoCancelacionInscripcion.imagenDatoFinal}" height="13"
                    width="13" />
                <h:outputText
                    value="#{currentPredioF.formattedNumeroPredialCompleto}"
                    styleClass="datoFinalStyle" />
            </p:column>

        </p:dataTable>

    </h:panelGrid>

    <h:panelGrid columns="1" cellspacing="13" id="acordionP" width="100%">
        <p:accordionPanel dynamic="true" id="acordion" cache="false"
                          style="height:250px">

            <p:ajax event="tabChange"
                    listener="#{infoCancelacionInscripcion.cambioPanel}"
                    update=":verProyeccionForm:verProyeccionTabView:msgsATN" />

            <p:tab title="Ubicación del predio" id="ubicacionDelPredioId"
                   rendered="#{infoCancelacionInscripcion.configuracionTramite.ubicacion eq 'SI'}">

                <ui:include src="tablaDatosAntesDespues.xhtml">
                    <ui:param name="idTablaPanelParam" value="ubicacionDelPredioId" />
                </ui:include>

                <p:outputPanel layout="block" style="text-align: right"
                               id="panelBotonesUP">
                    <p:commandButton label="Ver más detalles del predio inicial"
                                     value="Ver más detalles del predio inicial" immediate="true"
                                     oncomplete="detalleUbicacionPredioWV.show()"
                                     icon="ui-icon ui-icon-search" update=":detalleUbicaionPredioForm"
                                     rendered="#{not empty infoCancelacionInscripcion.predioInicialSeleccionado}">
                        <f:setPropertyActionListener
                            target="#{infoCancelacionInscripcion.predioUbicacionSeleccionado}"
                            value="#{infoCancelacionInscripcion.predioInicialSeleccionado}" />
                    </p:commandButton>

                    <p:spacer height="0" width="13" />

                    <p:commandButton label="Ver más detalles del predio proyectado"
                                     value="Ver más detalles del predio proyectado"
                                     oncomplete="detalleUbicacionPredioWV.show()" immediate="true"
                                     icon="ui-icon ui-icon-search" update=":detalleUbicaionPredioForm"
                                     rendered="#{not empty infoCancelacionInscripcion.predioFinalSeleccionado}">
                        <f:setPropertyActionListener
                            target="#{infoCancelacionInscripcion.ppredioUbicacionSeleccionado}"
                            value="#{infoCancelacionInscripcion.predioFinalSeleccionado}" />
                    </p:commandButton>

                    <p:spacer height="0" width="13" />
                </p:outputPanel>

            </p:tab>

            <p:tab title="Propietarios y/o poseedores"
                   id="propietariosPoseedoresId"
                   rendered="#{infoCancelacionInscripcion.configuracionTramite.propietarios eq 'SI'}">

                <ui:include src="tablaDatosAntesDespuesPropietarios.xhtml" />

            </p:tab>

            <p:tab title="Ficha matriz" id="fichaMatrizId"
                   rendered="#{infoCancelacionInscripcion.configuracionTramite.fichaMatriz eq 'SI'}">

                <ui:include src="detalleFichaMatriz.xhtml">
                    <ui:param name="managedBeanParam"
                              value="#{infoCancelacionInscripcion}" />
                </ui:include>

            </p:tab>

            <p:tab title="Detalle del avalúo" id="detalleAvaluoId"
                   rendered="#{infoCancelacionInscripcion.configuracionTramite.avaluos eq 'SI'}">
                <ui:include src="tablaDatosAntesDespues.xhtml">
                    <ui:param name="idTablaPanelParam" value="detalleAvaluoId" />
                </ui:include>
                <ui:include src="tablaDatosConstruccionesAvaluo.xhtml" />

            </p:tab>

            <p:tab title="Justificación de propiedad" id="condicionPropiedadId"
                   rendered="#{infoCancelacionInscripcion.configuracionTramite.justificacionPropiedad eq 'SI'}">
                <ui:include src="tablaDatosAntesDespuesJustificacionPropiedad.xhtml" />
            </p:tab>

            <p:tab title="Inscripciones y decretos" id="inscripcionesDecretosId"
                   rendered="#{infoCancelacionInscripcion.configuracionTramite.inscripcionesDecretos eq 'SI'}">
                <ui:include src="detalleInscripcionesDecretos.xhtml" />
            </p:tab>

        </p:accordionPanel>

    </h:panelGrid>
</h:panelGrid>




